# SOA Responsible Mailbox

Matches records whose dns.soa.rnames equals dns.cloudflare.com.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/dns-soa-rnames/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 14 of 25 in **Filters › DNS** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `dns.soa.rnames` · `operator` `eq`

Matches records whose `dns.soa.rnames` equals `dns.cloudflare.com`.

The RNAME of the SOA record, in DNS form: `dns.cloudflare.com` stands for the mailbox `dns` at `cloudflare.com`.

In the response, look at `results[].dns.soa.rnames`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `dns.soa.rnames` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `dns.cloudflare.com` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "dns.soa.rnames",
        "type": "eq",
        "value": "dns.cloudflare.com"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99990` · `x-ratelimit-remaining-minute: 9994` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 63763541,
  "results": [
    {
      "punycode": "yijzswww.786.ip.nowgg.lol",
      "unicode": "yijzswww.786.ip.nowgg.lol",
      "is_idn": false,
      "subdomain": {
        "punycode": "yijzswww.786.ip",
        "unicode": "yijzswww.786.ip",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": false,
        "length": 13
      },
      "subdomain_last": {
        "punycode": "yijzswww",
        "unicode": "yijzswww",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 8
      },
      "subdomain_root": {
        "punycode": "ip",
        "unicode": "ip",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "name": {
        "punycode": "yijzswww.786.ip.nowgg",
        "unicode": "yijzswww.786.ip.nowgg",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": false,
        "length": 18,
        "lang": "en",
        "keywords": [
          "yij",
          "zs",
          "www",
          "ip",
          "now",
          "gg"
        ],
        "keyword_count": 6,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "nowgg.lol",
        "unicode": "nowgg.lol",
        "is_idn": false,
        "name": {
          "punycode": "nowgg",
          "unicode": "nowgg",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 5,
          "lang": "en",
          "keywords": [
            "now",
            "gg"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "lol",
          "unicode": "lol",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "lol",
          "unicode": "lol",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2025-10-28T22:22:03Z",
          "update_date": "2025-12-01T14:06:52Z",
          "expiry_date": "2026-10-28T23:59:59Z",
          "registrar": "namecheap, inc.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "jeff.ns.cloudflare.com",
            "nelci.ns.cloudflare.com"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.nic.lol",
          "check_date": "2026-06-28T08:54:06Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-06-28T08:54:06Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-06-28T08:54:47Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-13T02:07:34Z",
            "ip_addresses": [
              "69.164.251.212"
            ]
          }
        },
        "dns_last_change_date": "2026-08-29T09:45:32Z",
        "ip_history": null,
        "ssl": null,
        "ssl_last_change_date": "2024-05-10T03:44:29Z"
      },
      "type": 2,
      "subdomain_level_count": 3,
      "dns": {
        "a": {
          "update_date": "2026-09-10T00:14:16Z",
          "ip_addresses": [
            "69.164.251.212"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-10T00:14:16Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-10T00:14:16Z",
          "name_servers": [
            "jeff.ns.cloudflare.com",
            "nelci.ns.cloudflare.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-10T00:14:16Z",
          "mail_servers": [
            "route3.mx.cloudflare.net",
            "route2.mx.cloudflare.net",
            "route1.mx.cloudflare.net"
          ]
        },
        "soa": {
          "update_date": "2026-09-10T00:14:16Z",
          "mnames": [
            "jeff.ns.cloudflare.com"
          ],
          "rnames": [
            "dns.cloudflare.com"
          ],
          "rname_emails": [
            "user@cloudflare.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-10T00:14:16Z",
          "values": [
            "\"v=spf1 include:_spf.mx.cloudflare.net ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-10T00:14:16Z",
          "values": [
            "nowgg.fun."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-10T02:17:28Z",
      "ip_history": [
        "69.164.251.212"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "yijzswww.786.ip.nowgg.lol"
        ],
        "version": 3,
        "serial_number": "607606124865964493955833484300633811406863",
        "fingerprint": {
          "sha256": "8c16c5dd52f9052de178e9dbf4030ecd42c49f7ea7b2c5310fd4602505a8880b",
          "sha1": "9e3bcabc4be95e10c4c92c6753a8dbcf5d9bd68e",
          "md5": "036cc8f36d5913df168cd5dd8ecfcc8d"
        },
        "validity": {
          "start_date": "2026-04-08T21:12:49Z",
          "end_date": "2026-07-07T21:12:48Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MGYCMQDW6nkcUkksiv71DTNaC5SVZbdOAUl+7MCAo2B57TbJFBTPn5//tRKqbMRnzkteHFUCMQCLz/yKgDJiZV00C+gzhebnY3EytPEyreIR7Cmq3eC0oPywekA54uZD/t7dZNCBSHo=",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.3",
            "name": "sha384"
          }
        },
        "issuer_dn": "CN=E7,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "E7",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=yijzswww.786.ip.nowgg.lol",
        "subject": {
          "common_name": "yijzswww.786.ip.nowgg.lol",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "rkie3IcdRKBv2qLlYHQEeMKcAIA=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-04-08T22:11:19Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "yijzswww.786.ip.nowgg.lol"
            ]
          },
          "subject_key_id": "KJF6MmI+LUzjVDsrFBUh2Atm3Ig="
        },
        "check_date": "2026-04-12T02:15:30Z"
      },
      "ssl_last_change_date": "2026-04-12T02:16:39Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "ca84fde3a0687a060ee5b6a7139f7af23b4f441d0aa5117990f46f8209a1ad28"
        },
        "http": {
          "status_code_first": 308,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://yijzswww.786.ip.nowgg.lol/",
              "status_code": 308
            },
            {
              "url": "https://yijzswww.786.ip.nowgg.lol/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://yijzswww.786.ip.nowgg.lol/",
          "final_fqdn": "yijzswww.786.ip.nowgg.lol",
          "final_domain": "nowgg.lol",
          "headers": {
            "others": [
              {
                "name": "alt_svc",
                "value": "h3=\":443\"; ma=2592000,h3=\":443\"; ma=2592000"
              },
              {
                "name": "date",
                "value": "Thu, 09 Apr 2026 01:03:17 GMT"
              },
              {
                "name": "etag",
                "value": "W/\"1cd6-19b157d8be0\""
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "via",
                "value": "1.1 Caddy"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "public, max-age=0",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Sat, 13 Dec 2025 02:15:08 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": null,
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "Express",
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "go.preservewealthgroup.com",
      "unicode": "go.preservewealthgroup.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "go",
        "unicode": "go",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "subdomain_last": {
        "punycode": "go",
        "unicode": "go",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "subdomain_root": {
        "punycode": "go",
        "unicode": "go",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "name": {
        "punycode": "go.preservewealthgroup",
        "unicode": "go.preservewealthgroup",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 21,
        "lang": "en",
        "keywords": [
          "gop",
          "reserve",
          "wealth",
          "group"
        ],
        "keyword_count": 4,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "preservewealthgroup.com",
        "unicode": "preservewealthgroup.com",
        "is_idn": false,
        "name": {
          "punycode": "preservewealthgroup",
          "unicode": "preservewealthgroup",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 19,
          "lang": "en",
          "keywords": [
            "preserve",
            "wealth",
            "group"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2025-02-03T04:52:42Z",
          "update_date": "2026-02-03T14:01:46Z",
          "expiry_date": "2027-02-03T04:52:42Z",
          "registrar": "godaddy.com, llc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns75.domaincontrol.com",
            "ns76.domaincontrol.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.godaddy.com",
          "check_date": "2026-08-08T01:48:07Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-08T01:48:07Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-02-04T23:40:14Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-14T06:39:49Z",
            "ip_addresses": [
              "185.158.133.1"
            ]
          }
        },
        "dns_last_change_date": "2026-08-30T21:14:24Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-07-18T06:07:13Z",
            "end_date": "2026-10-16T07:07:07Z"
          },
          "serial_number": "82244562833307598956707426860286688790",
          "check_date": "2026-08-15T21:04:47Z"
        },
        "ssl_last_change_date": "2026-08-15T21:06:42Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-09-14T01:54:47Z",
          "ip_addresses": [
            "104.18.35.90",
            "172.64.152.166"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-14T01:54:47Z",
          "ip_addresses": [
            "2a06:98c1:3102::6812:235a",
            "2606:4700:440b::ac40:98a6"
          ]
        },
        "ns": {
          "update_date": "2026-09-14T01:54:47Z",
          "name_servers": [
            "brad.ns.cloudflare.com",
            "ollie.ns.cloudflare.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-14T01:54:47Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-14T01:54:47Z",
          "mnames": [
            "brad.ns.cloudflare.com"
          ],
          "rnames": [
            "dns.cloudflare.com"
          ],
          "rname_emails": [
            "user@cloudflare.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-14T01:54:47Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-14T01:54:47Z",
          "values": [
            "sites.ludicrous.cloud."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-15T18:19:32Z",
      "ip_history": [
        "104.18.35.90",
        "172.64.152.166"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "go.preservewealthgroup.com"
        ],
        "version": 3,
        "serial_number": "230066214239028187644278366762053694135",
        "fingerprint": {
          "sha256": "db76942d651b8e3a0346b4bd69e6af69e8928d96f18d26df276fbb6583988a48",
          "sha1": "1febcea1bf73ccb1d76f32f17b544394ff4eb7ab",
          "md5": "6420b513248024a712787fd38161321d"
        },
        "validity": {
          "start_date": "2026-05-21T10:55:41Z",
          "end_date": "2026-08-19T11:55:40Z",
          "length": 7779599
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEUCIQD+KRBdo6morNrkof2FfPppxPkxhe4jzPzpqsQzhE/HZQIgR1YySbpqOJPJCX+gCWxMJdxPwVPs2wuBbsa0XpGWh10=",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=go.preservewealthgroup.com",
        "subject": {
          "common_name": "go.preservewealthgroup.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-05-21T11:55:42Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "go.preservewealthgroup.com"
            ]
          },
          "subject_key_id": "xPvJuB4cNJn+bZ8M1i0OqckiqgM="
        },
        "check_date": "2026-06-19T13:13:50Z"
      },
      "ssl_last_change_date": "2026-06-19T13:14:16Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "0b1c20c8c9b87133531eb3b7eb2d54d9ebaafc7f0dadad33dc96d2c9266ff8e1"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://go.preservewealthgroup.com/",
              "status_code": 301
            },
            {
              "url": "https://go.preservewealthgroup.com/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://go.preservewealthgroup.com/",
          "final_fqdn": "go.preservewealthgroup.com",
          "final_domain": "preservewealthgroup.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Tue, 08 Sep 2026 18:13:32 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "x_cloud_trace_context",
                "value": "79a370c36ddbfe537bc78cdf89d19b3f"
              },
              {
                "name": "via",
                "value": "1.1 google"
              },
              {
                "name": "cf_cache_status",
                "value": "EXPIRED"
              },
              {
                "name": "cf_ray",
                "value": "a37fed71eb3ce26f-ORD"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "max-age=60, stale-while-revalidate=30, stale-if-error=1800",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html;charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Tue, 08 Sep 2026 18:13:32 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "cloudflare",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "staging.server.cloud.sancapro.com",
      "unicode": "staging.server.cloud.sancapro.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "staging.server.cloud",
        "unicode": "staging.server.cloud",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 18
      },
      "subdomain_last": {
        "punycode": "staging",
        "unicode": "staging",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 7
      },
      "subdomain_root": {
        "punycode": "cloud",
        "unicode": "cloud",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 5
      },
      "name": {
        "punycode": "staging.server.cloud.sancapro",
        "unicode": "staging.server.cloud.sancapro",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 26,
        "lang": "en",
        "keywords": [
          "staging",
          "server",
          "clouds",
          "anca",
          "pro"
        ],
        "keyword_count": 5,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "sancapro.com",
        "unicode": "sancapro.com",
        "is_idn": false,
        "name": {
          "punycode": "sancapro",
          "unicode": "sancapro",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": "it",
          "keywords": [
            "san",
            "capro"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-05-11T17:54:56Z",
          "update_date": "2026-05-11T17:55:03Z",
          "expiry_date": "2027-05-11T17:54:56Z",
          "registrar": "cloudflare, inc.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": null,
            "street": "REDACTED FOR PRIVACY",
            "city": "data redacted",
            "state": "or",
            "postal_code": "REDACTED FOR PRIVACY",
            "country": "us",
            "phone": "REDACTED FOR PRIVACY",
            "email": null
          },
          "name_servers": [
            "audrey.ns.cloudflare.com",
            "jarred.ns.cloudflare.com"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.cloudflare.com",
          "check_date": "2026-09-09T14:56:21Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": null,
            "phone": "REDACTED FOR PRIVACY",
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-09-09T14:56:21Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-05-11T19:39:30Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-21T12:17:19Z",
            "ip_addresses": [
              "216.150.1.193",
              "216.150.16.193"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T12:17:39Z",
        "ip_history": null,
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 2,
      "subdomain_level_count": 3,
      "dns": {
        "a": {
          "update_date": "2026-09-09T13:43:48Z",
          "ip_addresses": [
            "104.18.12.229",
            "104.18.13.229"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-09T13:43:48Z",
          "ip_addresses": [
            "2606:4700::6812:ce5",
            "2606:4700::6812:de5"
          ]
        },
        "ns": {
          "update_date": "2026-09-09T13:43:48Z",
          "name_servers": [
            "kimora.ns.cloudflare.com",
            "thomas.ns.cloudflare.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-09T13:43:48Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-09T13:43:48Z",
          "mnames": [
            "kimora.ns.cloudflare.com"
          ],
          "rnames": [
            "dns.cloudflare.com"
          ],
          "rname_emails": [
            "user@cloudflare.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-09T13:43:48Z",
          "values": [
            "\"v=spf1 -all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-09T13:43:48Z",
          "values": [
            "convex.domains."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-09T13:43:49Z",
      "ip_history": [
        "104.18.12.229",
        "104.18.13.229"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "staging.server.cloud.sancapro.com"
        ],
        "version": 3,
        "serial_number": "315998633406349655018085445664301693085",
        "fingerprint": {
          "sha256": "0c9bde488516a7ca88665858efb070d27ff1cccd40b9d9a0800095c71fab773e",
          "sha1": "31079813969cb2c724246100398c7fce16bc1652",
          "md5": "0912f15bcc008759a6100be984a8d5e1"
        },
        "validity": {
          "start_date": "2026-09-08T05:55:05Z",
          "end_date": "2026-12-07T06:54:58Z",
          "length": 7779593
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEYCIQDzveaSNIxX/wQSYnxSv1iQbZFgZElbRLGn4SOompBnWwIhAN0kVC/lCyWHCYFBgaeiOV72jJbYtIOxM2B0E5MUE3Ih",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=staging.server.cloud.sancapro.com",
        "subject": {
          "common_name": "staging.server.cloud.sancapro.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-09-08T06:55:05Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "staging.server.cloud.sancapro.com"
            ]
          },
          "subject_key_id": "7jXvNlzzbvZCPuAsv3R/akTPaJo="
        },
        "check_date": "2026-09-10T14:25:14Z"
      },
      "ssl_last_change_date": "2026-09-10T14:26:06Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "52ac067284b1f693d1f684db5d677d3434c7aef94ef24a53771de6f22a94f3a0"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://staging.server.cloud.sancapro.com/",
              "status_code": 301
            },
            {
              "url": "https://staging.server.cloud.sancapro.com/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://staging.server.cloud.sancapro.com/",
          "final_fqdn": "staging.server.cloud.sancapro.com",
          "final_domain": "sancapro.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Wed, 09 Sep 2026 13:45:15 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "access_control_allow_credentials",
                "value": "true"
              },
              {
                "name": "convex_usher",
                "value": "usher"
              },
              {
                "name": "vary",
                "value": "origin, access-control-request-method, access-control-request-headers, origin, access-control-request-method, access-control-request-headers, origin, access-control-request-method, access-control-request-headers"
              },
              {
                "name": "via",
                "value": "1.1 Caddy"
              },
              {
                "name": "cf_cache_status",
                "value": "DYNAMIC"
              },
              {
                "name": "cf_ray",
                "value": "a386a1dfeb222300-ORD"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/plain; charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "cloudflare",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    }
  ]
}
```

## Related Examples

- [SOA Primary Name Server](/reference/discovery/domain-search/examples/dns-soa-mnames/)
- [Mail Handled by Google Workspace](/reference/discovery/domain-search/examples/dns-mx-mail-servers/)
- [Delegated to a Name Server](/reference/discovery/domain-search/examples/dns-ns-name-servers/)
- [AAAA Record Pointing to an IPv6 Address](/reference/discovery/domain-search/examples/dns-aaaa-ip-addresses/)
- [Other Record Type: DNSKEY](/reference/discovery/domain-search/examples/dns-others-type/)
- [FQDN IPv4 (A) Record Pointing to an IP](/reference/discovery/domain-search/examples/dns-a-ip-addresses/)
